Subject: bug#53626: 28.0.91; project-find-regexp (C-x p g) twice results in searching different projects

From: Dmitry Gutov <[email-masked]>
Date: Thu, 3 Feb 2022 17:41:58 +0200

On 03.02.2022 17:19, Sean Whitton wrote:
> Hello Dmitry,
> 
> On Thu 03 Feb 2022 at 04:00pm +02, Dmitry Gutov wrote:
> 
>> Hi Sean,
>>
>> On 30.01.2022 08:28, Sean Whitton wrote:
>>> I think the problem is the let bindings for default-directory
>>> established by project-find-regexp and also project-switch-project,
>>> which latter I was using for testing.
>> Could you also try your scenario with the master version of Emacs?
>>
>> Or with the latest project.el and xref, at least.
> I was using master as of one week ago to test and looking at the code as
> of the day I was writing.  And it doesn't look like there were any
> relevant changes to project.el or xref.el in that time.

OK.

Then could you write down your problem scenario step-by-step?